Topologies
Export topology as Mermaid flowchart
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Topology ID
Format
uuidQuery Parameters
view?string
View to export. Defaults to the default view when omitted.
Value in
"L2Physical" | "L3Logical" | "Workloads" | "Application"Response Body
text/plain
application/json
application/json
curl -X GET "https://app.scanopy.net/api/v1/topology/497f6eca-6276-4993-bfeb-53cbbbba6f08/export/mermaid""string"{
"meta": {
"api_version": 1,
"server_version": "0.17.8"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.17.8"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}